#!/bin/sh -eu

ulogd_conf="$1"; shift
ulogd_db="$1"; shift

sqlite3 -batch "$ulogd_db" </usr/share/alterator-ulogd/ulogd.scheme >/dev/null &&
chown ulogd:ulogd "$ulogd_db" &&
sed -i -r -e 's;^#(plugin=".+/ulogd_output_SQLITE3.so");\1;' \
	-e 's;^#(plugin=".+/ulogd_inppkt_ULOG.so);\1;'  \
	-e 's;^(stack=log1:NFLOG,.+,emu1:LOGEMU);#\1;'  \
	"$ulogd_conf"

fgrep -qs '^\[alterator_sqlite3\]' "$ulogd_conf" && exit 0

sed -i -r "/^\[ct1\]/i # stack for alterator-ulogd \\
stack=ulog1:ULOG,base1:BASE,ip2str1:IP2STR,alterator_sqlite3:SQLITE3 \\
" "$ulogd_conf"

cat >>"$ulogd_conf" <<EOF

[alterator_sqlite3]
table="ulog"
db="$ulogd_db"
buffer=200
EOF
